## No tab indentation for readability
print.use.tab = off

## Braces as delimiter
rewrite.rule = { "^\{\(.*\)\}$"        "\"\1\"" }
rewrite.rule = { "^\([^\"].*[^\"]*\)$" "\"\1\"" }

## Entry types in lowercase
new.entry.type = "article"
new.entry.type = "book"
new.entry.type = "inbook"
new.entry.type = "incollection"
new.entry.type = "inproceedings"
new.entry.type = "phdthesis"
new.entry.type = "techreport"

## Normalisation of 'pages' field 
rewrite.rule = { pages # "\([0-9]+\),\([0-9]+\)" "\1\2"   }
rewrite.rule = { pages # "\([0-9]+\)–\([0-9]+\)" "\1--\2" }
rewrite.rule = { pages # "\([0-9]+\)-\([0-9]+\)" "\1--\2" }

## Removing void fields
rewrite.rule = { "^{ *}$" }

## Delete 'url' field if 'doi' is present
print { Removal of redundancies ('doi'='url') }
rename.field = { url = dbl if doi = ".*" }
delete.field = { dbl }

## Definition of fields order
sort.order =
{ * =
      # title     # chapter     # pages
      # journal   # booktitle   # edition # editor # series 
      # volume    # number      
      # author    # institution # school
      # year      # month
      # publisher # issn        # isbn
      # doi       # url
}

## Keys 
print { Generate new citation keys: 1stauthor[.2ndauthor[.ea]]_[journal|type]year }
ignored.word = "of"
ignored.word = "and"
ignored.word = "in"
ignored.word = "du"
ignored.word = "de"
key.base = lower
key.format =
{ %s(bibkey) # %-2n(author)_
     {   
          %+5.1W(journal)
             # %0s(@book         ) { bk   } # %0s(@inbook       ) { ibk  }
             # %0s(@incollection ) { icol } # %0s(@inproceedings) { iprc }
             # %0s(@phdthesis    ) { phd  } # %0s(@techreport   ) { rpt  }
     }
  %2d(year)                    
}

print { Sort entries by key }
sort = on
